include:
  - project: coscine/tools/gitlab-ci-templates
    file: 
      - /dotnet.yml

stages:
  - build
  - publish
  - commands


variables:
  DOTNET_MAIN_PROJECT_FOLDER: "TrellisMigrator"

build-branch:
  extends: .build-branch

build-nuget-release:
  extends: .build-nuget-release

publish-gitlab-release:
  extends: .publish-gitlab-release
  
publish:
  extends: .publish-artifact-release

migration:
  rules:
    - if: $CI_PIPELINE_SOURCE != "schedule"
      when: manual
  stage: commands
  script: 
    - dotnet run --project .\src\$DOTNET_MAIN_PROJECT_FOLDER -- --noDryRun
  when: manual